# Proximity

A decision block that checks the proximity, distance to the device using the built-in sensor.

If the proceed option is set to Immediately, then check the current distance without pausing the fiber. If set to When changed, then the fiber will pause until the distance comes within range, or goes out of range.

If both minimum distance and maximum distance is set and doesn’t evaluate to `null` then the distance must be within the range. If only minimum is set, then the distance must be greater than or equal to it. If only maximum is set, then the distance must be less than or equal to it. If neither minimum nor maximum is set, then the current distance is just assigned to the current distance variable without a check.

The built-in proximity sensor on most devices only report a “near” and “far” distance with no values in between.

Note! May not work on devices with a “virtual” proximity sensor.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Minimum distance — minimum distance in centimeter.
- Maximum distance — maximum distance in centimeter.

## Output variables

- Current distance — variable to assign the current distance in centimeter.